Skip to main content
POST
/
ai-agents
/
agent-builder
/
agents
/
{agentUid}
/
tools
/
{slug}
/
authenticate
Authenticate Tool with OAuth
curl --request POST \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{agentUid}/tools/{slug}/authenticate \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "authMeta": {
    "emailId": "user@example.com"
  }
}
'

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

agentUid
string
required

AI Agent UID

slug
string
required

Tool slug to authenticate (e.g., gmail, googlesheets)

Body

application/json
authMeta
object

Authentication metadata required for the tool

Example:
{ "emailId": "user@example.com" }

Response

200

OAuth authentication initiated successfully with redirect URL